#ifndef __KMFRULOPTIONEEDITINTERFACE_H
#define __KMFRULOPTIONEEDITINTERFACE_H

#include <qobject.h>
#include <qstring.h>
#include <qptrlist.h>

#include "kmfplugin.h"
class IPTRule;

class KDE_EXPORT KMFRuleOptionEditInterface : public KMFPlugin {
public:
	KMFRuleOptionEditInterface(QObject *parent = 0, const char* name = 0);
	virtual ~KMFRuleOptionEditInterface();
	virtual void loadRule( IPTRule* ) = 0;
	virtual QWidget* editWidget() = 0;
	virtual const QString& optionEditName() const = 0;
	virtual const QString& description() const = 0;
};


#endif // __KMFRULEEDITINTERFACE_H
